Bug 179933 - Wrong license information?
Wrong license information?
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
Depends On:
  Show dependency treegraph
Reported: 2006-02-03 16:48 EST by Oliver Andrich
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.8.4-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-17 06:54:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Oliver Andrich 2006-02-03 16:48:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
The package is distributed by Fedora Core 4 under the license "Distributable". When I look at the official ruby license (http://www.ruby-lang.org/en/LICENSE.txt) it qualifies as a dual licensed software. 

The Packaging Guidelines (http://fedoraproject.org/wiki/Packaging/Guidelines) say in the Licensing section: "Alternately, if code is dual licensed, and one of the licenses meets the open source license criteria, that code can be included in Fedora Extras under the open source license." 

Taking this into concern, and given that ruby is licensed under its own license and the GPL, the package should be licensed as GPL. 

Sorry, to be nit picking, but I found this out tonight and thought, that it might be good to follow the self-defined rules.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. this is not a bug.

Additional info:
Comment 1 Akira TAGOH 2006-02-05 23:09:43 EST
It could be mentioned as Ruby License/GPL. but describing their own license was
unclear to understand it. everyone isn't necessarily familiar with Ruby license.
so it was sufficient to mention just "Distributable" and you can see the exact
license from COPYING that ruby package contains. also Ruby license is compatible
with the modified BSD license IIRC. so either license isn't a problem to ship in
Fedora anyway. IMHO it's not a good idea to restrict the choice of license -
even if it's just in the package information because people could misunderstand
that our ruby package is only licensed under GPL.
Comment 2 Oliver Andrich 2006-02-08 12:36:51 EST
This sounds very reasonable. May be this should be stated somewhere in an
official place like 


I am not sure if this is the right place, may be there exists some kind of Howto
about things like that.
Comment 3 Akira TAGOH 2006-05-17 06:54:01 EDT
Fixed in 1.8.4-6. License tag is now:
License:        Ruby License/GPL - see COPYING

like Python does:
License: PSF - see LICENSE

Note You need to log in before you can comment on or make changes to this bug.